package com.theitbulls.pushnotification;

import android.os.Bundle;
import android.util.Log;
import android.view.View;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.AppCompatTextView;

import com.google.android.gms.tasks.OnSuccessListener;
import com.google.firebase.iid.FirebaseInstanceId;
import com.google.firebase.iid.InstanceIdResult;
import com.theitbulls.pushnotification.fcmservice.FCMUtils;
import com.theitbulls.pushnotification.fcmservice.SharedPrefManager;

import org.json.JSONException;
import org.json.JSONObject;

public class MainActivity extends AppCompatActivity implements OnSuccessListener<InstanceIdResult> {
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main_activity);

        FirebaseInstanceId.getInstance().getInstanceId().addOnSuccessListener(this, this);
    }

    @Override
    public void onSuccess(InstanceIdResult instanceIdResult) {
        String token = instanceIdResult.getToken();

        Log.d("FCMToken", token);
        SharedPrefManager.getInstance(MainActivity.this).saveDeviceToken(token);
        ((AppCompatTextView) findViewById(R.id.tvToken)).setText(token);
    }

    public void sendNotification(View view) {
        String token = SharedPrefManager.getInstance(this).getDeviceTokenString();
        if(token == null) {
            token = "No token found.";
            Log.d("FCMToken", token);
        }

        FCMUtils.sendNotification(this, "Testing", "Hello this is testing message!");
    }

    public void sendDataNotificaton(View view) throws JSONException {
        JSONObject dataJson = new JSONObject();
        dataJson.put("empName", "John Carlo");
        dataJson.put("empAge", 34);
        dataJson.put("empSalary", 150000);

        FCMUtils.sendDataNotification(this, dataJson);
    }
}
